Name:           tela-circle-icon-theme
Version:        2025.02.10
Release:        1%{?dist}
Summary:        A flat colorful design icon theme (base package)

License:        GPL-3.0-or-later
URL:            https://github.com/vinceliuice/Tela-circle-icon-theme
%global _version %(echo %{version} | sed 's/\\./-/g')
Source0:        %{url}/archive/%{_version}.tar.gz

BuildArch:      noarch
BuildRequires:  gtk3
Requires:       hicolor-icon-theme

%description
Tela Circle is a colorful, flat-design icon theme for Linux desktops.

%prep
%setup -q -n Tela-circle-icon-theme-%{_version}
sed -i '/gtk-update-icon-cache/ s/^/#/' install.sh # Do not generate cache files

%build
# No build step required

%install
install -d %{buildroot}/usr/share/icons

# Install specific variants manually here if desired
for variant in standard black blue brown green grey orange pink purple red yellow manjaro ubuntu dracula nord; do
    ./install.sh -d %{buildroot}/usr/share/icons $variant
done

##############################################
# Meta-package that depends on all variants
##############################################

%package all
Summary:        Tela Circle icon theme – all variants
Requires:       %{name}-standard
Requires:       %{name}-black
Requires:       %{name}-blue
Requires:       %{name}-brown
Requires:       %{name}-green
Requires:       %{name}-grey
Requires:       %{name}-orange
Requires:       %{name}-pink
Requires:       %{name}-purple
Requires:       %{name}-red
Requires:       %{name}-yellow
Requires:       %{name}-manjaro
Requires:       %{name}-ubuntu
Requires:       %{name}-dracula
Requires:       %{name}-nord

%description all
Meta-package that installs all variants of the Tela Circle icon theme.

%files all
# No actual files – virtual meta-package

##############################################
# Individual subpackages for each variant
##############################################

%package standard
Summary:        Tela Circle icon theme – standard variant
Requires:       hicolor-icon-theme

%description standard
Tela Circle icon theme – standard variant.

%files standard
/usr/share/icons/Tela-circle
/usr/share/icons/Tela-circle-dark
/usr/share/icons/Tela-circle-light

%package black
Summary:        Tela Circle icon theme – black variant
Requires:       hicolor-icon-theme

%description black
Tela Circle icon theme – black variant.

%files black
/usr/share/icons/Tela-circle-black
/usr/share/icons/Tela-circle-black-dark
/usr/share/icons/Tela-circle-black-light

%package blue
Summary:        Tela Circle icon theme – blue variant
Requires:       hicolor-icon-theme

%description blue
Tela Circle icon theme – blue variant.

%files blue
/usr/share/icons/Tela-circle-blue
/usr/share/icons/Tela-circle-blue-dark
/usr/share/icons/Tela-circle-blue-light

%package brown
Summary:        Tela Circle icon theme – brown variant
Requires:       hicolor-icon-theme

%description brown
Tela Circle icon theme – brown variant.

%files brown
/usr/share/icons/Tela-circle-brown
/usr/share/icons/Tela-circle-brown-dark
/usr/share/icons/Tela-circle-brown-light

%package green
Summary:        Tela Circle icon theme – green variant
Requires:       hicolor-icon-theme

%description green
Tela Circle icon theme – green variant.

%files green
/usr/share/icons/Tela-circle-green
/usr/share/icons/Tela-circle-green-dark
/usr/share/icons/Tela-circle-green-light

%package grey
Summary:        Tela Circle icon theme – grey variant
Requires:       hicolor-icon-theme

%description grey
Tela Circle icon theme – grey variant.

%files grey
/usr/share/icons/Tela-circle-grey
/usr/share/icons/Tela-circle-grey-dark
/usr/share/icons/Tela-circle-grey-light

%package orange
Summary:        Tela Circle icon theme – orange variant
Requires:       hicolor-icon-theme

%description orange
Tela Circle icon theme – orange variant.

%files orange
/usr/share/icons/Tela-circle-orange
/usr/share/icons/Tela-circle-orange-dark
/usr/share/icons/Tela-circle-orange-light

%package pink
Summary:        Tela Circle icon theme – pink variant
Requires:       hicolor-icon-theme

%description pink
Tela Circle icon theme – pink variant.

%files pink
/usr/share/icons/Tela-circle-pink
/usr/share/icons/Tela-circle-pink-dark
/usr/share/icons/Tela-circle-pink-light

%package purple
Summary:        Tela Circle icon theme – purple variant
Requires:       hicolor-icon-theme

%description purple
Tela Circle icon theme – purple variant.

%files purple
/usr/share/icons/Tela-circle-purple
/usr/share/icons/Tela-circle-purple-dark
/usr/share/icons/Tela-circle-purple-light

%package red
Summary:        Tela Circle icon theme – red variant
Requires:       hicolor-icon-theme

%description red
Tela Circle icon theme – red variant.

%files red
/usr/share/icons/Tela-circle-red
/usr/share/icons/Tela-circle-red-dark
/usr/share/icons/Tela-circle-red-light

%package yellow
Summary:        Tela Circle icon theme – yellow variant
Requires:       hicolor-icon-theme

%description yellow
Tela Circle icon theme – yellow variant.

%files yellow
/usr/share/icons/Tela-circle-yellow
/usr/share/icons/Tela-circle-yellow-dark
/usr/share/icons/Tela-circle-yellow-light

%package manjaro
Summary:        Tela Circle icon theme – manjaro variant
Requires:       hicolor-icon-theme

%description manjaro
Tela Circle icon theme – manjaro variant.

%files manjaro
/usr/share/icons/Tela-circle-manjaro
/usr/share/icons/Tela-circle-manjaro-dark
/usr/share/icons/Tela-circle-manjaro-light

%package ubuntu
Summary:        Tela Circle icon theme – ubuntu variant
Requires:       hicolor-icon-theme

%description ubuntu
Tela Circle icon theme – ubuntu variant.

%files ubuntu
/usr/share/icons/Tela-circle-ubuntu
/usr/share/icons/Tela-circle-ubuntu-dark
/usr/share/icons/Tela-circle-ubuntu-light

%package dracula
Summary:        Tela Circle icon theme – dracula variant
Requires:       hicolor-icon-theme

%description dracula
Tela Circle icon theme – dracula variant.

%files dracula
/usr/share/icons/Tela-circle-dracula
/usr/share/icons/Tela-circle-dracula-dark
/usr/share/icons/Tela-circle-dracula-light

%package nord
Summary:        Tela Circle icon theme – nord variant
Requires:       hicolor-icon-theme

%description nord
Tela Circle icon theme – nord variant.

%files nord
/usr/share/icons/Tela-circle-nord
/usr/share/icons/Tela-circle-nord-dark
/usr/share/icons/Tela-circle-nord-light

%changelog
* Sat Apr 19 2025 19:41 Little Owl <littleowl@athenaos.org>
- Synced with upstream
